[Plugin] ltConfig v2.0.0

Suggest, post, or discuss plugins for Deluge
mhertz
Compulsive Poster
Compulsive Poster
Posts: 1143
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] ltConfig v0.3.0

Post by mhertz »

Ratanak wrote:[...]
libtorrent >= 1.1.1 should be compatible with Deluge 1.3.x as long as libtorrent is built with --enable-deprecated-functions configured.
I run deluge 1.3.15 fine without '--enable-deprecated-functions'-built libtorrent v1.1.3.

(Per the packages provided in the Arch Linux repo - just checked pkgbuild script for libtorrent)

...Just for others reading this and thinking they need to rebuild(and not having issues).
Ratanak
Leecher
Leecher
Posts: 98
Joined: Sat Dec 22, 2012 4:47 am

Re: [Plugin] ltConfig v0.3.0

Post by Ratanak »

It's enabled by default. Just wanted to bring awareness to it in case it becomes necessary in the future when the functions really become deprecated and may no longer be enabled by default.
mhertz
Compulsive Poster
Compulsive Poster
Posts: 1143
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] ltConfig v0.3.1

Post by mhertz »

Sorry Ratanak, good call of course and sorry for the meddling/misunderstanding :)
mhertz
Compulsive Poster
Compulsive Poster
Posts: 1143
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] ltConfig v0.3.1

Post by mhertz »

Ratanak, I love you man(in a non gay way of course :) ). Great job! :) 20 runs with v0.3.1, all works perfect, then 20 runs again with v0.3.0, all fails bootstraping DHT with force_proxy. Thank you again! :)
bipolr

Re: [Plugin] ltConfig v0.3.1

Post by bipolr »

Is ltConfig cache_size and cache_expiry the same with Deluge’s cache tab in settings? Does it matter where you set the cache size and expiry?
shamael
Compulsive Poster
Compulsive Poster
Posts: 639
Joined: Sat Oct 08, 2016 9:28 am

Re: [Plugin] ltConfig v0.3.1

Post by shamael »

So far I know yes, but I had some conflict in an earlier version. Best is to decide where you change it and not mixing value.
Because it takes precedence over Deluge best is to do it in ltconfig
froman753
New User
New User
Posts: 5
Joined: Sun Aug 30, 2015 2:01 am

Re: [Plugin] ltConfig v0.3.1

Post by froman753 »

I don't see force-proxy as a listed option in the preference page. How can I add this?
shamael
Compulsive Poster
Compulsive Poster
Posts: 639
Joined: Sat Oct 08, 2016 9:28 am

Re: [Plugin] ltConfig v0.3.1

Post by shamael »

Once the ltconfig installed and enabled under preferences>plugins , go in preferences>ltconfig (new category after enabling) and select force_proxy
highvoltage
Member
Member
Posts: 30
Joined: Mon Apr 11, 2016 11:11 pm
Location: Brazil

Re: [Plugin] ltConfig v0.3.1

Post by highvoltage »

compatible ?

libtorrent-1.1.10 + deluge 2.0.0.dev7235

for me it does not work
meeotch
New User
New User
Posts: 6
Joined: Fri Jul 27, 2018 8:04 pm

Re: [Plugin] ltConfig v0.3.1

Post by meeotch »

I'm also missing the force-proxy option. The alphabetical list goes right from "file_pool_size" to "free_torrrent_hashes".

Is this possibly a version thing? I'm on libtorrent 0.16.13.0, apparently.
Post Reply